%define upstream_name    Devel-CheckLib
%define upstream_version 0.93

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check that a library is available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(IO::CaptureOutput) >= 1.80.100
BuildRequires: perl(Test::More) >= 0.620.0
BuildArch:  noarch

%description
Devel::CheckLib is a perl module that checks whether a particular C library
and its headers are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES META.yml README TODO
%{_mandir}/man*
%perl_vendorlib/*
/usr/bin/use-devel-checklib

%changelog
* Tue Apr 12 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 83743
- update to 0.93

* Fri Jan 21 2011 jquelin <jquelin> 0.920.0-1.mga1
+ Revision: 28565
- fix %%files
- mageia rebuild
- imported package perl-Devel-CheckLib

